/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseAdapter, IBaseAdapter } from '../../core/base/base-adapter';
import { IButtonToggleComponent } from '../button-toggle/button-toggle';
import { IButtonToggleGroupComponent } from './button-toggle-group';
import { IButtonToggleOption } from './button-toggle-group-constants';
export interface IButtonToggleGroupAdapter extends IBaseAdapter {
    addListener(type: string, listener: (evt: Event) => void): void;
    removeListener(type: string, listener: (evt: Event) => void): void;
    addSlotChangeListener(listener: (evt: Event) => void): void;
    removeSlotChangeListener(listener: (evt: Event) => void): void;
    deselect(selectedToggle: IButtonToggleComponent): void;
    applyAdjacentSelections(isVertical: boolean): void;
    setVertical(isVertical: boolean): void;
    setStretch(value: boolean): void;
    setDense(value: boolean): void;
    setDisabled(value: boolean): void;
    getSelectedValues(): any[];
    applyValues(values: any[]): void;
    createOptions(options: IButtonToggleOption[]): void;
}
export declare class ButtonToggleGroupAdapter extends BaseAdapter<IButtonToggleGroupComponent> implements IButtonToggleGroupAdapter {
    private _rootElement;
    private _slotElement;
    constructor(component: IButtonToggleGroupComponent);
    addListener(type: string, listener: (evt: Event) => void): void;
    removeListener(type: string, listener: (evt: Event) => void): void;
    addSlotChangeListener(listener: EventListener): void;
    removeSlotChangeListener(listener: EventListener): void;
    deselect(selectedToggle: IButtonToggleComponent): void;
    applyAdjacentSelections(isVertical: boolean): void;
    setVertical(isVertical: boolean): void;
    setStretch(value: boolean): void;
    setDense(value: boolean): void;
    setDisabled(value: boolean): void;
    getSelectedValues(): any[];
    applyValues(values: any[]): void;
    createOptions(options: IButtonToggleOption[]): void;
    private _createButtonToggle;
    private _getButtonToggleElements;
}
